function setup()
	A = generator.getMobGroup("A")
	a = generator.getMobGroup("A")
	Z = generator.getMobGroup("Z")

	room.setWave(1)
	room.addActor(A)
	room.addActor(Z)
	
	room.setWave(2)
	room.addActor(A)
	room.addActor(a)
	room.addActor(Z)
	
	room.setWave(3)
	room.addActor(A)
	room.addActor(a)
	room.addActor(Z)
	
	room.setWave(4)
	room.addActor(A)
	room.addActor(A)
	room.addActor(a)
	room.addActor(Z)
	
	room.setWave(5)
	room.addActor(A)
	room.addActor(A)
	room.addActor(a)
	room.addActor(a)
	room.addActor(Z)
end